namespace kehati.Models.Entity.Master;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
[Table("ms_tumbuhan")]
public class Tumbuhan
{
    [Key]
    public int MsTumbuhanId { get; set; }
    [Column("ms_famili_id")]
    public int MsFamiliId { get; set; }
    [Column("ms_habitus_id")]
    public int MsHabitatId { get; set; }
    [Column("name")]
    public string? Name { get; set; } = "";
    [Column("name_ilmiah")]
    public string? NamaIlmiah { get; set; } = "";
    [Column("tanaman_khas_jakarta")]
    public bool TanamanKhasJakarta { get; set; }
    [Column("status_perlindungan")]
    public string? StatusPerlindungan { get; set; } = "";
    [Column("iucn")]
    public string? Iucn { get; set; } = "";
    [Column("cites")]
    public string? Cites { get; set; } = "";
    [Column("slug")]
    public string? Slug { get; set; } = "";
    [Column("image")]
    public string? Image { get; set; } = "";
}